Open CASCADE Technology: StepVisual_CurveStyle Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepVisual_CurveStyle Class Reference

`#include <StepVisual_CurveStyle.hxx>`

Inheritance diagram for StepVisual_CurveStyle:
[legend]

## Public Member Functions
| StepVisual_CurveStyle ()
| Returns a CurveStyle. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName, const StepVisual_CurveStyleFontSelect &aCurveFont, const StepBasic_SizeSelect &aCurveWidth, const Handle< StepVisual_Colour > &aCurveColour)
void | SetName (const Handle< TCollection_HAsciiString > &aName)
Handle< TCollection_HAsciiString > | Name () const
void | SetCurveFont (const StepVisual_CurveStyleFontSelect &aCurveFont)
StepVisual_CurveStyleFontSelect | CurveFont () const
void | SetCurveWidth (const StepBasic_SizeSelect &aCurveWidth)
StepBasic_SizeSelect | CurveWidth () const
void | SetCurveColour (const Handle< StepVisual_Colour > &aCurveColour)
Handle< StepVisual_Colour > | CurveColour () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

StepVisual_CurveStyle::StepVisual_CurveStyle | ( |  | ) |

Returns a CurveStyle.

## Member Function Documentation

Handle< StepVisual_Colour > StepVisual_CurveStyle::CurveColour | ( |  | ) | const

StepVisual_CurveStyleFontSelect StepVisual_CurveStyle::CurveFont | ( |  | ) | const

StepBasic_SizeSelect StepVisual_CurveStyle::CurveWidth | ( |  | ) | const

virtual void StepVisual_CurveStyle::Init | ( | const Handle< TCollection_HAsciiString > & | aName,
|  | const StepVisual_CurveStyleFontSelect & | aCurveFont,
|  | const StepBasic_SizeSelect & | aCurveWidth,
|  | const Handle< StepVisual_Colour > & | aCurveColour
| ) |  |
| virtual

Handle< TCollection_HAsciiString > StepVisual_CurveStyle::Name | ( |  | ) | const

void StepVisual_CurveStyle::SetCurveColour | ( | const Handle< StepVisual_Colour > & | aCurveColour | ) |

void StepVisual_CurveStyle::SetCurveFont | ( | const StepVisual_CurveStyleFontSelect & | aCurveFont | ) |

void StepVisual_CurveStyle::SetCurveWidth | ( | const StepBasic_SizeSelect & | aCurveWidth | ) |

void StepVisual_CurveStyle::SetName | ( | const Handle< TCollection_HAsciiString > & | aName | ) |

The documentation for this class was generated from the following file:

- StepVisual_CurveStyle.hxx